logo
Добро пожаловать, Гость! Чтобы использовать все возможности Вход или Регистрация.

Уведомление

Icon
Error

3 Страницы123>
Опции
К последнему сообщению К первому непрочитанному
Offline ZIMA  
#1 Оставлено : 6 июля 2017 г. 16:35:29(UTC)
ZIMA

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 94
Российская Федерация
Откуда: Белгород

Сказал(а) «Спасибо»: 167 раз
Поблагодарили: 282 раз в 66 постах
Бото-машинист
версия 2.0


Берём здесь>>>Весь набор
Берём здесь>>>hotfix 1
Берём здесь>>>БОК 2.1
Берём здесь>>>КДСП hotfix1

В комплект вошли:


Исправления:


БОК 2.1


Автор: Эрендир
Тестеры: Ant.Taranish, Tram_, NickLon
Некоторые идеи: Tram_, NickLon

Большое спасибо всем, кто внёс тот или иной вклад в развитие этой системы.


Совет! Контроллеры свободного пути станции и депо должны быть установлены в слое сессии
Новая версия по ряду причин не совместима с предыдущей, потому на старых сессиях требует повторной перенастройки.


Внимание! Система Бото-машиниста будет работать только в Trainz Simulator 2012 3.7 build 58414 и выше.

Отредактировано пользователем 6 июля 2017 г. 16:38:20(UTC)  | Причина: Не указана

thanks 5 пользователей поблагодарили ZIMA за этот пост.
Эрендир оставлено 06.07.2017(UTC), Vaultman оставлено 06.07.2017(UTC), denhom оставлено 07.07.2017(UTC), Rock-sett оставлено 10.07.2017(UTC), Maximu$ оставлено 30.01.2019(UTC)
Offline Onegin  
#2 Оставлено : 14 июля 2018 г. 11:20:17(UTC)
Onegin

Статус: Новичок

Репутация:

Группы: Пользователи
Зарегистрирован: 27.05.2017(UTC)
Сообщений: 3
Российская Федерация
Откуда: Киржач

Сказал(а) «Спасибо»: 9 раз
Ботомашинист будет допиливаться под Таню? На текущий момент в Тане СП3 глючит библиотека AI zxPath Prepare path library.

VE197: Syntax error in script 'tu_zxpathpreparelibrary.gse' for asset <kuid2:151055:60014:1> "AI zxPath Prepare path library"
TrainzBaseSpec::CacheScripts> ** GSC> tu_zxpathpreparelibrary.gs(267) : function GetName is obsolete in object GameObject.
tu_zxpathpreparelibrary.gs(267) : function GetName is obsolete in object GameObject.
TrainzBaseSpec::CacheScripts> ** GSC> tu_zxpathpreparelibrary.gs(275) : function GetName is obsolete in object GameObject.
tu_zxpathpreparelibrary.gs(275) : function GetName is obsolete in object GameObject.
TrainzBaseSpec::CacheScripts> ** GSC> tu_zxpathpreparelibrary.gs(295) : function GetGameObject is obsolete in object Router.
tu_zxpathpreparelibrary.gs(295) : function GetGameObject is obsolete in object Router.
TrainzBaseSpec::CacheScripts> ** GSC> tu_zxpathpreparelibrary.gs(307) : '.' operator used on array type items without '[]' operator, line 307
tu_zxpathpreparelibrary.gs(307) : '.' operator used on array type items without '[]' operator, line 307
TrainzBaseSpec::CacheScripts> ** GSC> tu_zxpathpreparelibrary.gs(307) : function GetGameObject is obsolete in object Router.
tu_zxpathpreparelibrary.gs(307) : function GetGameObject is obsolete in object Router.
TrainzBaseSpec::CacheScripts> ** GSC> tu_zxpathpreparelibrary.gs(307) : cannot cast from zxSignal to , line 307.
tu_zxpathpreparelibrary.gs(307) : cannot cast from zxSignal to , line 307.

Offline Эрендир  
#3 Оставлено : 14 июля 2018 г. 16:14:10(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах
Будет конечно. Просто что бы переписать под таню, то нужно отказаться от трс12
Offline BrmZzz  
#4 Оставлено : 17 июля 2018 г. 9:44:26(UTC)
BrmZzz

Статус: Местный

Репутация:

Группы: Пользователи
Зарегистрирован: 01.06.2017(UTC)
Сообщений: 113
Женщина
Латвия
Откуда: LEN-1

Сказала «Спасибо»: 91 раз
Поблагодарили: 164 раз в 77 постах
Автор: Эрендир Перейти к цитате
Просто что бы переписать под таню, то нужно отказаться от трс12

Сложный выбор... А комбинировать не получится никак?
Offline Эрендир  
#5 Оставлено : 17 июля 2018 г. 13:01:27(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах

Не получиться

Offline Диспетчер  
#6 Оставлено : 21 июля 2018 г. 15:01:00(UTC)
Диспетчер

Статус: Новичок

Репутация:

Группы: Пользователи
Зарегистрирован: 15.06.2018(UTC)
Сообщений: 7
Российская Федерация
Откуда: Бузулук

Сказал(а) «Спасибо»: 36 раз
Поблагодарили: 7 раз в 3 постах
Автор: Эрендир Перейти к цитате

Не получиться


Назрела необходимость отдельной версии для TANE....Ошибки в TANE старой версии не дают нормально пользоваться сессиями из Trainz 12.

Offline Эрендир  
#7 Оставлено : 21 июля 2018 г. 16:41:41(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах

К сожалению, у меня сейчас довольно мало времени, но я постораюсь в ближайшее время исправить все ошибки.

thanks 1 пользователь поблагодарил Эрендир за этот пост.
Диспетчер оставлено 21.07.2018(UTC)
Offline TRam_  
#8 Оставлено : 22 июля 2018 г. 15:14:49(UTC)
TRam_

Статус: Сторонний разработчик

Репутация:

Группы: Пользователи
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 20
Российская Федерация

Сказал(а) «Спасибо»: 3 раз
Поблагодарили: 24 раз в 9 постах
Автор: Эрендир Перейти к цитате
Будет конечно. Просто что бы переписать под таню, то нужно отказаться от трс12
То есть ради одной 307 строки скрипта нужно переписать всё? Или там никак оператор [] не заменить?

thanks 1 пользователь поблагодарил TRam_ за этот пост.
kemal оставлено 24.07.2018(UTC)
Offline Эрендир  
#9 Оставлено : 19 августа 2018 г. 18:02:03(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах

Ситуация такая. Я сейчас переделываю под TANE пульт ДСП. Как только закончу, займусь бото-машинистом

thanks 4 пользователей поблагодарили Эрендир за этот пост.
Andrey оставлено 21.08.2018(UTC), Диспетчер оставлено 05.09.2018(UTC), BrmZzz оставлено 19.10.2018(UTC), anton1970 оставлено 31.10.2018(UTC)
Offline anton1970  
#10 Оставлено : 21 января 2019 г. 12:54:15(UTC)
anton1970

Статус: Новичок

Репутация:

Группы: Пользователи
Зарегистрирован: 21.06.2017(UTC)
Сообщений: 5
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 1 раз
Очень большая просьба к автору всё-таки обновить для TANE Trainz A New Era объекты (<kuid2:151055:60014:1>,<kuid2:151055:60016:1>,<kuid2:151055:100120:4>,<kuid2:151055:100124:2>,<kuid:151055:100126>)
Спасибо.
С уважением,
Антон

Отредактировано пользователем 21 января 2019 г. 13:35:24(UTC)  | Причина: Не указана

Offline Эрендир  
#11 Оставлено : 21 января 2019 г. 15:24:40(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах

Код:
&lt;kuid2:151055:60014:1&gt;,&lt;kuid2:151055:60016:1&gt;
Я постараюсь сегодня посмотреть. Но скорее всего, они будут только под 4.5, и в 3.7 рабоать не будут соответственно.


Код:
&lt;kuid2:151055:100120:4&gt;,&lt;kuid2:151055:100124:2&gt;,&lt;kuid:151055:100126&gt;
Это команды от Z7, я не вижу ни одной причины, по которой нужно хоть что-то с ними делать, тем более, что они под TRS2009, и даже для 3.7 не адаптировались.

thanks 1 пользователь поблагодарил Эрендир за этот пост.
a605 оставлено 22.01.2019(UTC)
Offline anton1970  
#12 Оставлено : 21 января 2019 г. 15:43:39(UTC)
anton1970

Статус: Новичок

Репутация:

Группы: Пользователи
Зарегистрирован: 21.06.2017(UTC)
Сообщений: 5
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 1 раз
Автор: Эрендир Перейти к цитате

Код:
&lt;kuid2:151055:60014:1&gt;,&lt;kuid2:151055:60016:1&gt;
Я постараюсь сегодня посмотреть. Но скорее всего, они будут только под 4.5, и в 3.7 рабоать не будут соответственно.


Код:
&lt;kuid2:151055:100120:4&gt;,&lt;kuid2:151055:100124:2&gt;,&lt;kuid:151055:100126&gt;
Это команды от Z7, я не вижу ни одной причины, по которой нужно хоть что-то с ними делать, тем более, что они под TRS2009, и даже для 3.7 не адаптировались.



Так для T.A.N.E они и нужны, на карте Дилемма они в сессиях с ПС присутствуют. Команды от Z7 там-же присутствуют и в версии 3.7 работают прекрасно, а вот в T.A.N.E выдают ошибку.
Спасибо.
Offline Эрендир  
#13 Оставлено : 21 января 2019 г. 16:38:59(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах
Да они может и работают, но толлко с з7. Их я точно трогать не буду.
Offline anton1970  
#14 Оставлено : 21 января 2019 г. 16:52:11(UTC)
anton1970

Статус: Новичок

Репутация:

Группы: Пользователи
Зарегистрирован: 21.06.2017(UTC)
Сообщений: 5
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 1 раз
Автор: Эрендир Перейти к цитате
Да они может и работают, но толлко с з7. Их я точно трогать не буду.


Не трогать, а хотя-бы починить для T.A.N.E. Может там в конфиге нужно несколько строк поменять или исправить всего-то.
Offline Эрендир  
#15 Оставлено : 21 января 2019 г. 16:53:53(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах

Никто не может объяснить зачем они нужны в ТАНЕ, когда там и z7 то маловероятно, что нормально работает, да и карт таких хз найдёшь



Offline anton1970  
#16 Оставлено : 21 января 2019 г. 17:27:12(UTC)
anton1970

Статус: Новичок

Репутация:

Группы: Пользователи
Зарегистрирован: 21.06.2017(UTC)
Сообщений: 5
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 1 раз
Автор: Эрендир Перейти к цитате

Никто не может объяснить зачем они нужны в ТАНЕ, когда там и z7 то маловероятно, что нормально работает, да и карт таких хз найдёшь





Я писал выше, что нужны они для карты Дилемма, где есть классные сессии с ПС. Там Бугор их использует для команд ботам.Если их починить, то можно будет и в ТАНЕ гонять, тем более сигналка там работает.
Offline Эрендир  
#17 Оставлено : 21 января 2019 г. 18:36:38(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах

Как их может использовать бугор, когда эти комманды работает только с z7-xPath, который и в 3.7 не работал никогда, тем более, что на карте Бугра сигналка sU

Offline anton1970  
#18 Оставлено : 21 января 2019 г. 18:52:38(UTC)
anton1970

Статус: Новичок

Репутация:

Группы: Пользователи
Зарегистрирован: 21.06.2017(UTC)
Сообщений: 5
Российская Федерация
Откуда: Москва

Сказал(а) «Спасибо»: 1 раз
Не знаю, но в сессии они присутствуют (в КМ).
Offline Эрендир  
#19 Оставлено : 27 января 2019 г. 16:04:35(UTC)
Эрендир

Статус: Администратор

Репутация:

Группы: Администраторы
Зарегистрирован: 26.05.2017(UTC)
Сообщений: 121
Мужчина
Российская Федерация

Сказал «Спасибо»: 213 раз
Поблагодарили: 91 раз в 51 постах
Вот временное решение для исправления библиотеки.


Скачать здесь



Для 3.7 можно не стараться снижать билд, ибо написано это всё исключительно для 4.5. Работоспособность не проверял, так как у меня нет билета и соответственно ниодного маршрута в игре с sU. Так что жду замечаний по ошибкам, если есть.

thanks 1 пользователь поблагодарил Эрендир за этот пост.
a605 оставлено 27.01.2019(UTC)
Offline VLADCOB  
#20 Оставлено : 27 января 2019 г. 16:42:56(UTC)
VLADCOB

Статус: Местный

Репутация:

Группы: Пользователи
Зарегистрирован: 23.07.2017(UTC)
Сообщений: 20
Китай
Откуда: Jixi

Сказал(а) «Спасибо»: 29 раз
Поблагодарили: 10 раз в 4 постах
4.5 - это тане?..
Пользователи, просматривающие эту тему
3 Страницы123>
Быстрый переход  
Вы не можете создавать новые темы в этом форуме.
Вы не можете отвечать в этом форуме.
Вы не можете удалять Ваши сообщения в этом форуме.
Вы не можете редактировать Ваши сообщения в этом форуме.
Вы не можете создавать опросы в этом форуме.
Вы не можете голосовать в этом форуме.

Privacy Policy | Форум YAF.NET 2.2.4.14 | YAF.NET © 2003-2019, Yet Another Forum.NET
Страница сгенерирована за 0.380 секунды.
Яндекс.Метрика